CVE-2022-26387

high

Description

When installing an add-on, Firefox verified the signature before prompting the user; but while the user was confirming the prompt, the underlying add-on file could have been modified and Firefox would not have noticed. This vulnerability affects Firefox < 98, Firefox ESR < 91.7, and Thunderbird < 91.7.

References

https://www.mozilla.org/security/advisories/mfsa2022-12/

https://www.mozilla.org/security/advisories/mfsa2022-11/

https://www.mozilla.org/security/advisories/mfsa2022-10/

https://bugzilla.mozilla.org/show_bug.cgi?id=1752979

Details

Source: MITRE

Published: 2022-12-22

Updated: 2022-12-30

Type: CWE-367